[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StrPLCopy

Copy a limited number of characters from an ansistring to a null-terminated string.

## Declaration

Source position: syspchh.inc line 46

`function StrPLCopy(`
`Dest: PChar;`
`Source: String;`
`MaxLen: SizeUInt`
`):PChar;`

## Description

StrPLCopy Converts maximally MaxLen characters of the Ansistring in Source to a Null-terminated string, and copies it to Dest. Dest needs enough room to contain the characters.

## Errors

No checking is performed to see whether Dest points to enough memory to contain L characters of Source.

## See also

StrPCopy |  | Copy an ansistring to a null-terminated string.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.